| AI Engine Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Functions
Dynamic X buffer conjugation
Intrinsics » Vector Operations » MAC intrinsics » Multiplication » Advanced » Integer » Vector MAC with pre-subtraction » 16 bit x 16 bit » 16 bit Complex x 16 bit Real

## Overview

16 bit complex by 16 bit real using Dynamic X buffer conjugation

## Functions
v4cacc48 | mac4_antisym (v4cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, bool xyconj, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-accumulate intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer using small X input buffer.
v4cacc48 | mac4_antisym (v4cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, v16cint16 ybuff, int ystart, bool xyconj, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-accumulate intrinsic function with dynamic x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v4cacc48 | mac4_antisym (v4cacc48 acc, v32cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, bool xyconj, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-accumulate intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer .
v8cacc48 | mac8_antisym (v8cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, bool xyconj, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-accumulate intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer using small X input buffer.
v8cacc48 | mac8_antisym (v8cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, v16cint16 ybuff, int ystart, bool xyconj, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-accumulate intrinsic function with dynamic x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v8cacc48 | mac8_antisym (v8cacc48 acc, v32cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, bool xyconj, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-accumulate intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer .
v4cacc48 | msc4_antisym (v4cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, bool xyconj, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-subtract intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer using small X input buffer.
v4cacc48 | msc4_antisym (v4cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, v16cint16 ybuff, int ystart, bool xyconj, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-subtract intrinsic function with dynamic x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v4cacc48 | msc4_antisym (v4cacc48 acc, v32cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, bool xyconj, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-subtract intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer .
v8cacc48 | msc8_antisym (v8cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, bool xyconj, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-subtract intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer using small X input buffer.
v8cacc48 | msc8_antisym (v8cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, v16cint16 ybuff, int ystart, bool xyconj, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-subtract intrinsic function with dynamic x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v8cacc48 | msc8_antisym (v8cacc48 acc, v32cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, bool xyconj, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-subtract intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer .
v4cacc48 | mul4_antisym (v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, bool xyconj, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer using small X input buffer.
v4cacc48 | mul4_antisym (v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, v16cint16 ybuff, int ystart, bool xyconj, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply intrinsic function with dynamic x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v4cacc48 | mul4_antisym (v32cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, bool xyconj, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer .
v8cacc48 | mul8_antisym (v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, bool xyconj, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer using small X input buffer.
v8cacc48 | mul8_antisym (v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, v16cint16 ybuff, int ystart, bool xyconj, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply intrinsic function with dynamic x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v8cacc48 | mul8_antisym (v32cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, bool xyconj, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer .
v4cacc48 | negmul4_antisym (v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, bool xyconj, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-negate intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer using small X input buffer.
v4cacc48 | negmul4_antisym (v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, v16cint16 ybuff, int ystart, bool xyconj, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-negate intrinsic function with dynamic x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v4cacc48 | negmul4_antisym (v32cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, bool xyconj, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-negate intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer .
v8cacc48 | negmul8_antisym (v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, bool xyconj, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-negate intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer using small X input buffer.
v8cacc48 | negmul8_antisym (v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, v16cint16 ybuff, int ystart, bool xyconj, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-negate intrinsic function with dynamic x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v8cacc48 | negmul8_antisym (v32cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, bool xyconj, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-negate intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer .

## Function Documentation

## ◆ mac4_antisym() [1/3]

v4cacc48 mac4_antisym | ( | v4cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | bool | xyconj,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-accumulate intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 += z00*(x00 - y00) + z01*(x01 - y01) + z02*(x02 - y02) + z03*(x03 - y03)
acc1 += z10*(x10 - y10) + z11*(x11 - y11) + z12*(x12 - y12) + z13*(x13 - y13)
acc2 += z20*(x20 - y20) + z21*(x21 - y21) + z22*(x22 - y22) + z23*(x23 - y23)
acc3 += z30*(x30 - y30) + z31*(x31 - y31) + z32*(x32 - y32) + z33*(x33 - y33)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mac4_antisym() [2/3]

v4cacc48 mac4_antisym | ( | v4cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | bool | xyconj,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-accumulate intrinsic function with dynamic x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 += z00*(x00 - y00) + z01*(x01 - y01) + z02*(x02 - y02) + z03*(x03 - y03)
acc1 += z10*(x10 - y10) + z11*(x11 - y11) + z12*(x12 - y12) + z13*(x13 - y13)
acc2 += z20*(x20 - y20) + z21*(x21 - y21) + z22*(x22 - y22) + z23*(x23 - y23)
acc3 += z30*(x30 - y30) + z31*(x31 - y31) + z32*(x32 - y32) + z33*(x33 - y33)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mac4_antisym() [3/3]

v4cacc48 mac4_antisym | ( | v4cacc48 | acc,
|  | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | bool | xyconj,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-accumulate intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer .

acc0 += z00*(x00 - y00) + z01*(x01 - y01) + z02*(x02 - y02) + z03*(x03 - y03)
acc1 += z10*(x10 - y10) + z11*(x11 - y11) + z12*(x12 - y12) + z13*(x13 - y13)
acc2 += z20*(x20 - y20) + z21*(x21 - y21) + z22*(x22 - y22) + z23*(x23 - y23)
acc3 += z30*(x30 - y30) + z31*(x31 - y31) + z32*(x32 - y32) + z33*(x33 - y33)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mac8_antisym() [1/3]

v8cacc48 mac8_antisym | ( | v8cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | bool | xyconj,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-accumulate intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 += z00*(x00 - y00) + z01*(x01 - y01)
acc1 += z10*(x10 - y10) + z11*(x11 - y11)
acc2 += z20*(x20 - y20) + z21*(x21 - y21)
acc3 += z30*(x30 - y30) + z31*(x31 - y31)
acc4 += z40*(x40 - y40) + z41*(x41 - y41)
acc5 += z50*(x50 - y50) + z51*(x51 - y51)
acc6 += z60*(x60 - y60) + z61*(x61 - y61)
acc7 += z70*(x70 - y70) + z71*(x71 - y71)

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (8 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mac8_antisym() [2/3]

v8cacc48 mac8_antisym | ( | v8cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | bool | xyconj,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-accumulate intrinsic function with dynamic x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 += z00*(x00 - y00) + z01*(x01 - y01)
acc1 += z10*(x10 - y10) + z11*(x11 - y11)
acc2 += z20*(x20 - y20) + z21*(x21 - y21)
acc3 += z30*(x30 - y30) + z31*(x31 - y31)
acc4 += z40*(x40 - y40) + z41*(x41 - y41)
acc5 += z50*(x50 - y50) + z51*(x51 - y51)
acc6 += z60*(x60 - y60) + z61*(x61 - y61)
acc7 += z70*(x70 - y70) + z71*(x71 - y71)

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (8 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mac8_antisym() [3/3]

v8cacc48 mac8_antisym | ( | v8cacc48 | acc,
|  | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | bool | xyconj,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-accumulate intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer .

acc0 += z00*(x00 - y00) + z01*(x01 - y01)
acc1 += z10*(x10 - y10) + z11*(x11 - y11)
acc2 += z20*(x20 - y20) + z21*(x21 - y21)
acc3 += z30*(x30 - y30) + z31*(x31 - y31)
acc4 += z40*(x40 - y40) + z41*(x41 - y41)
acc5 += z50*(x50 - y50) + z51*(x51 - y51)
acc6 += z60*(x60 - y60) + z61*(x61 - y61)
acc7 += z70*(x70 - y70) + z71*(x71 - y71)

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (8 x cint48 lanes)
  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc4_antisym() [1/3]

v4cacc48 msc4_antisym | ( | v4cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | bool | xyconj,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-subtract intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 -= z00*(x00 - y00) + z01*(x01 - y01) + z02*(x02 - y02) + z03*(x03 - y03)
acc1 -= z10*(x10 - y10) + z11*(x11 - y11) + z12*(x12 - y12) + z13*(x13 - y13)
acc2 -= z20*(x20 - y20) + z21*(x21 - y21) + z22*(x22 - y22) + z23*(x23 - y23)
acc3 -= z30*(x30 - y30) + z31*(x31 - y31) + z32*(x32 - y32) + z33*(x33 - y33)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc4_antisym() [2/3]

v4cacc48 msc4_antisym | ( | v4cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | bool | xyconj,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-subtract intrinsic function with dynamic x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 -= z00*(x00 - y00) + z01*(x01 - y01) + z02*(x02 - y02) + z03*(x03 - y03)
acc1 -= z10*(x10 - y10) + z11*(x11 - y11) + z12*(x12 - y12) + z13*(x13 - y13)
acc2 -= z20*(x20 - y20) + z21*(x21 - y21) + z22*(x22 - y22) + z23*(x23 - y23)
acc3 -= z30*(x30 - y30) + z31*(x31 - y31) + z32*(x32 - y32) + z33*(x33 - y33)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc4_antisym() [3/3]

v4cacc48 msc4_antisym | ( | v4cacc48 | acc,
|  | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | bool | xyconj,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-subtract intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer .

acc0 -= z00*(x00 - y00) + z01*(x01 - y01) + z02*(x02 - y02) + z03*(x03 - y03)
acc1 -= z10*(x10 - y10) + z11*(x11 - y11) + z12*(x12 - y12) + z13*(x13 - y13)
acc2 -= z20*(x20 - y20) + z21*(x21 - y21) + z22*(x22 - y22) + z23*(x23 - y23)
acc3 -= z30*(x30 - y30) + z31*(x31 - y31) + z32*(x32 - y32) + z33*(x33 - y33)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc8_antisym() [1/3]

v8cacc48 msc8_antisym | ( | v8cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | bool | xyconj,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-subtract intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 -= z00*(x00 - y00) + z01*(x01 - y01)
acc1 -= z10*(x10 - y10) + z11*(x11 - y11)
acc2 -= z20*(x20 - y20) + z21*(x21 - y21)
acc3 -= z30*(x30 - y30) + z31*(x31 - y31)
acc4 -= z40*(x40 - y40) + z41*(x41 - y41)
acc5 -= z50*(x50 - y50) + z51*(x51 - y51)
acc6 -= z60*(x60 - y60) + z61*(x61 - y61)
acc7 -= z70*(x70 - y70) + z71*(x71 - y71)

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (8 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc8_antisym() [2/3]

v8cacc48 msc8_antisym | ( | v8cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | bool | xyconj,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-subtract intrinsic function with dynamic x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 -= z00*(x00 - y00) + z01*(x01 - y01)
acc1 -= z10*(x10 - y10) + z11*(x11 - y11)
acc2 -= z20*(x20 - y20) + z21*(x21 - y21)
acc3 -= z30*(x30 - y30) + z31*(x31 - y31)
acc4 -= z40*(x40 - y40) + z41*(x41 - y41)
acc5 -= z50*(x50 - y50) + z51*(x51 - y51)
acc6 -= z60*(x60 - y60) + z61*(x61 - y61)
acc7 -= z70*(x70 - y70) + z71*(x71 - y71)

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (8 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc8_antisym() [3/3]

v8cacc48 msc8_antisym | ( | v8cacc48 | acc,
|  | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | bool | xyconj,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-subtract intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer .

acc0 -= z00*(x00 - y00) + z01*(x01 - y01)
acc1 -= z10*(x10 - y10) + z11*(x11 - y11)
acc2 -= z20*(x20 - y20) + z21*(x21 - y21)
acc3 -= z30*(x30 - y30) + z31*(x31 - y31)
acc4 -= z40*(x40 - y40) + z41*(x41 - y41)
acc5 -= z50*(x50 - y50) + z51*(x51 - y51)
acc6 -= z60*(x60 - y60) + z61*(x61 - y61)
acc7 -= z70*(x70 - y70) + z71*(x71 - y71)

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (8 x cint48 lanes)
  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul4_antisym() [1/3]

v4cacc48 mul4_antisym | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | bool | xyconj,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 = z00*(x00 - y00) + z01*(x01 - y01) + z02*(x02 - y02) + z03*(x03 - y03)
acc1 = z10*(x10 - y10) + z11*(x11 - y11) + z12*(x12 - y12) + z13*(x13 - y13)
acc2 = z20*(x20 - y20) + z21*(x21 - y21) + z22*(x22 - y22) + z23*(x23 - y23)
acc3 = z30*(x30 - y30) + z31*(x31 - y31) + z32*(x32 - y32) + z33*(x33 - y33)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul4_antisym() [2/3]

v4cacc48 mul4_antisym | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | bool | xyconj,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply intrinsic function with dynamic x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 = z00*(x00 - y00) + z01*(x01 - y01) + z02*(x02 - y02) + z03*(x03 - y03)
acc1 = z10*(x10 - y10) + z11*(x11 - y11) + z12*(x12 - y12) + z13*(x13 - y13)
acc2 = z20*(x20 - y20) + z21*(x21 - y21) + z22*(x22 - y22) + z23*(x23 - y23)
acc3 = z30*(x30 - y30) + z31*(x31 - y31) + z32*(x32 - y32) + z33*(x33 - y33)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul4_antisym() [3/3]

v4cacc48 mul4_antisym | ( | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | bool | xyconj,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer .

acc0 = z00*(x00 - y00) + z01*(x01 - y01) + z02*(x02 - y02) + z03*(x03 - y03)
acc1 = z10*(x10 - y10) + z11*(x11 - y11) + z12*(x12 - y12) + z13*(x13 - y13)
acc2 = z20*(x20 - y20) + z21*(x21 - y21) + z22*(x22 - y22) + z23*(x23 - y23)
acc3 = z30*(x30 - y30) + z31*(x31 - y31) + z32*(x32 - y32) + z33*(x33 - y33)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul8_antisym() [1/3]

v8cacc48 mul8_antisym | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | bool | xyconj,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 = z00*(x00 - y00) + z01*(x01 - y01)
acc1 = z10*(x10 - y10) + z11*(x11 - y11)
acc2 = z20*(x20 - y20) + z21*(x21 - y21)
acc3 = z30*(x30 - y30) + z31*(x31 - y31)
acc4 = z40*(x40 - y40) + z41*(x41 - y41)
acc5 = z50*(x50 - y50) + z51*(x51 - y51)
acc6 = z60*(x60 - y60) + z61*(x61 - y61)
acc7 = z70*(x70 - y70) + z71*(x71 - y71)

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul8_antisym() [2/3]

v8cacc48 mul8_antisym | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | bool | xyconj,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply intrinsic function with dynamic x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 = z00*(x00 - y00) + z01*(x01 - y01)
acc1 = z10*(x10 - y10) + z11*(x11 - y11)
acc2 = z20*(x20 - y20) + z21*(x21 - y21)
acc3 = z30*(x30 - y30) + z31*(x31 - y31)
acc4 = z40*(x40 - y40) + z41*(x41 - y41)
acc5 = z50*(x50 - y50) + z51*(x51 - y51)
acc6 = z60*(x60 - y60) + z61*(x61 - y61)
acc7 = z70*(x70 - y70) + z71*(x71 - y71)

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul8_antisym() [3/3]

v8cacc48 mul8_antisym | ( | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | bool | xyconj,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer .

acc0 = z00*(x00 - y00) + z01*(x01 - y01)
acc1 = z10*(x10 - y10) + z11*(x11 - y11)
acc2 = z20*(x20 - y20) + z21*(x21 - y21)
acc3 = z30*(x30 - y30) + z31*(x31 - y31)
acc4 = z40*(x40 - y40) + z41*(x41 - y41)
acc5 = z50*(x50 - y50) + z51*(x51 - y51)
acc6 = z60*(x60 - y60) + z61*(x61 - y61)
acc7 = z70*(x70 - y70) + z71*(x71 - y71)

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul4_antisym() [1/3]

v4cacc48 negmul4_antisym | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | bool | xyconj,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-negate intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 = -( z00*(x00 - y00) + z01*(x01 - y01) + z02*(x02 - y02) + z03*(x03 - y03) )
acc1 = -( z10*(x10 - y10) + z11*(x11 - y11) + z12*(x12 - y12) + z13*(x13 - y13) )
acc2 = -( z20*(x20 - y20) + z21*(x21 - y21) + z22*(x22 - y22) + z23*(x23 - y23) )
acc3 = -( z30*(x30 - y30) + z31*(x31 - y31) + z32*(x32 - y32) + z33*(x33 - y33) )

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul4_antisym() [2/3]

v4cacc48 negmul4_antisym | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | bool | xyconj,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-negate intrinsic function with dynamic x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 = -( z00*(x00 - y00) + z01*(x01 - y01) + z02*(x02 - y02) + z03*(x03 - y03) )
acc1 = -( z10*(x10 - y10) + z11*(x11 - y11) + z12*(x12 - y12) + z13*(x13 - y13) )
acc2 = -( z20*(x20 - y20) + z21*(x21 - y21) + z22*(x22 - y22) + z23*(x23 - y23) )
acc3 = -( z30*(x30 - y30) + z31*(x31 - y31) + z32*(x32 - y32) + z33*(x33 - y33) )

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul4_antisym() [3/3]

v4cacc48 negmul4_antisym | ( | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | bool | xyconj,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-negate intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer .

acc0 = -( z00*(x00 - y00) + z01*(x01 - y01) + z02*(x02 - y02) + z03*(x03 - y03) )
acc1 = -( z10*(x10 - y10) + z11*(x11 - y11) + z12*(x12 - y12) + z13*(x13 - y13) )
acc2 = -( z20*(x20 - y20) + z21*(x21 - y21) + z22*(x22 - y22) + z23*(x23 - y23) )
acc3 = -( z30*(x30 - y30) + z31*(x31 - y31) + z32*(x32 - y32) + z33*(x33 - y33) )

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul8_antisym() [1/3]

v8cacc48 negmul8_antisym | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | bool | xyconj,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-negate intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 = -( z00*(x00 - y00) + z01*(x01 - y01) )
acc1 = -( z10*(x10 - y10) + z11*(x11 - y11) )
acc2 = -( z20*(x20 - y20) + z21*(x21 - y21) )
acc3 = -( z30*(x30 - y30) + z31*(x31 - y31) )
acc4 = -( z40*(x40 - y40) + z41*(x41 - y41) )
acc5 = -( z50*(x50 - y50) + z51*(x51 - y51) )
acc6 = -( z60*(x60 - y60) + z61*(x61 - y61) )
acc7 = -( z70*(x70 - y70) + z71*(x71 - y71) )

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul8_antisym() [2/3]

v8cacc48 negmul8_antisym | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | bool | xyconj,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-negate intrinsic function with dynamic x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 = -( z00*(x00 - y00) + z01*(x01 - y01) )
acc1 = -( z10*(x10 - y10) + z11*(x11 - y11) )
acc2 = -( z20*(x20 - y20) + z21*(x21 - y21) )
acc3 = -( z30*(x30 - y30) + z31*(x31 - y31) )
acc4 = -( z40*(x40 - y40) + z41*(x41 - y41) )
acc5 = -( z50*(x50 - y50) + z51*(x51 - y51) )
acc6 = -( z60*(x60 - y60) + z61*(x61 - y61) )
acc7 = -( z70*(x70 - y70) + z71*(x71 - y71) )

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul8_antisym() [3/3]

v8cacc48 negmul8_antisym | ( | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | bool | xyconj,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-negate intrinsic function with dynamic x buffer conjugation with pre-sub from x input buffer .

acc0 = -( z00*(x00 - y00) + z01*(x01 - y01) )
acc1 = -( z10*(x10 - y10) + z11*(x11 - y11) )
acc2 = -( z20*(x20 - y20) + z21*(x21 - y21) )
acc3 = -( z30*(x30 - y30) + z31*(x31 - y31) )
acc4 = -( z40*(x40 - y40) + z41*(x41 - y41) )
acc5 = -( z50*(x50 - y50) + z51*(x51 - y51) )
acc6 = -( z60*(x60 - y60) + z61*(x61 - y61) )
acc7 = -( z70*(x70 - y70) + z71*(x71 - y71) )

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.